<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.0
	 */

	/**
	 * eBag deliverys loader into memory
	 */

	class DELIVERYloader	{
	
		var $DELIVERY = array();

		function __construct($apc=FALSE, $reload=FALSE)	{

			global $__SQL;
			
			if (! function_exists('apc_fetch')) $apc = FALSE;

			if ($apc)	{
			
				if ((! $reload) && apc_exists('eBagDELIVERYS'))	{
			
					$this->DELIVERY = apc_fetch('eBagDELIVERYS');
					
					return;
				}
			}

			$__SQL->query("SELECT * FROM ebag.deliverys ORDER BY `personID` ");

			if (! $__SQL->num_rows()) exit('Fatal error: deliverys not found ! Please contact your system administrator !');

			while ($row = $__SQL->RESULT->fetch_assoc()) 	{

				$this->DELIVERY['deliverys'][$row['personID']] = $row['type'];
		
				if ($row['default']) $this->DELIVERY['default'] = $row['personID'];
			}

			$__SQL->free();

			if ($apc) apc_store("eBagDELIVERYS", (array)$this->DELIVERY, 0);
		}

		# returns deliverys as associative array

		public function gettypes()	{

			return (array)$this->DELIVERY['deliverys'];
		}

		# returns default payment

		public function getdefault()	{

			return (array)$this->DELIVERY['default'];
		}
	}

?>
