<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag order print
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('orders', 'r');

	$view	=	new View('printselector');

	$view 	->	assign('SELF', backward());
	$view 	->	assign('TYPE', 'order');
	$view 	->	assign('SELECTLABEL', $__LANG->get('orderselect'));
	$view 	->	assign('SELECTEDID', $__LANG->get('ordernumbers'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=orders');

	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();	

?>
