<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salary details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 

	      exit();
	}

	pagepermission('salarys', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('salarydetails');

	$__SALARY	=	new SALARYDETAILS();

	$SALARYDATA	=	$__SALARY->read($_GET['id']);

	unset($__SALARY, $__SQL);

	if (! $SALARYDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentsalary'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	load_f('mb_wrap');

	$view	=	new View('salarydetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('SALARYDETAILS', $__LANG->get('salarydetails', $_GET['id']));
	$view	->	assign('SALARYID', $_GET['id']);
	$view	->	assign('EMPLOYEE', $__LANG->get('employee'));
	$view	->	assign('MONTH', $__LANG->get('month'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('ELEMENTARY_CONSTANS', $__LANG->get('elementary_constans'));
	$view	->	assign('SALARY_PERSONAL_SETTINGS', $__LANG->get('salary_personal_settings'));
	$view	->	assign('BONUS_SETTINGS', $__LANG->get('bonussettings'));
	$view	->	assign('FIX_PAYMENT', $__LANG->get('fix_payment'));
	$view	->	assign('WORKING_HOUR_VALUE', $__LANG->get('working_hour_value'));
	$view	->	assign('HOURSIGN', $__LANG->get('hoursign'));
	$view	->	assign('CALCULATION_DETAILS', $__LANG->get('calculationdetails'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('E_work', $__LANG->get('E_work'));
	$view	->	assign('E_overtime_work', $__LANG->get('E_overtime_work'));
	$view	->	assign('E_night_work', $__LANG->get('E_night_work'));
	$view	->	assign('E_night_overtime_work', $__LANG->get('E_night_overtime_work'));
	$view	->	assign('E_night_holiday_work', $__LANG->get('E_night_holiday_work'));
	$view	->	assign('E_night_overtime_holiday_work', $__LANG->get('E_night_overtime_holiday_work'));
	$view	->	assign('E_sick_leave', $__LANG->get('E_sick_leave_hours'));
	$view	->	assign('E_sick_leave_100', $__LANG->get('E_sick_leave_100_hours'));
	$view	->	assign('E_holiday_work', $__LANG->get('E_holiday_work'));
	$view	->	assign('E_holiday_overtime_work', $__LANG->get('E_holiday_overtime_work'));
	$view	->	assign('E_holiday', $__LANG->get('E_holiday_hours'));
	$view	->	assign('E_annual_leave', $__LANG->get('E_annual_leave_hours'));
	$view	->	assign('E_bonus_production', $__LANG->get('E_bonus_production'));
	$view	->	assign('E_bonus_services', $__LANG->get('E_bonus_services'));
	$view	->	assign('E_bonus_product_sell', $__LANG->get('E_bonus_product_sell'));
	$view	->	assign('E_bonus_product_sell', $__LANG->get('E_bonus_product_sell'));
	$view	->	assign('E_bonus_service_sell', $__LANG->get('E_bonus_service_sell'));
	$view	->	assign('CALCULATED_BASE', $__LANG->get('calculated_salary_base'));
	$view	->	assign('E_PAYMENT', $__LANG->get('E_payment_sum'));
	$view	->	assign('BONUSES', $__LANG->get('bonuses'));
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('DATA', $SALARYDATA); unset($SALARYDATA);

	$view	->	display();


?>
