<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * Multibyte wrap
	 */

	function mb_wrap($string, $WIDTH, $BREAK, $ENCODING='UTF-8')		{

		static $STRING, $BREAKLEN;

		if (! isset($BREAKLEN)) $BREAKLEN = mb_strlen($BREAK, $ENCODING);

		$STRING = 	$string;
		$POS	=	mb_stripos ($STRING, " ", 0, $ENCODING);

		if ($POS !== FALSE)	{

			$PARTS	= mb_split (" ",$STRING, 2);

			if ($POS >= $WIDTH) 	{

				$STRING = $PARTS[0].$BREAK.$PARTS[1];
				mb_wrap($STRING, ($WIDTH + $POS + $BREAKLEN), $BREAK, $ENCODING);

			}	else	   {

				$STRING = $PARTS[0]."-".$PARTS[1];
				mb_wrap($STRING, $WIDTH, $BREAK, $ENCODING);
			}
		}

		$ARRAY	=	mb_split("-", $STRING);
		$STRING =	implode (" ", $ARRAY);
		return $STRING;
	}

?>
