<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag returns PHP_SELF without filename
	 */

	function php_self_path()	{
	
		if (isset($_SERVER['SCRIPT_NAME']))	{
		
			$self = $_SERVER['SCRIPT_NAME'];
			
		}	else	 {
		
			$self = $_SERVER['PHP_SELF'];
			
			# prevent
			
			if ((mb_strtolower(mb_substr(mb_eregi_replace('/$', '', $self), -4))) != '.php') return '';
		}
		
		$path = implode('/', array_map('rawurlencode', mb_split('/', dirname(dirname($self)))));
		
		if ($path == '/') return '';
		
		return $path;
	}

?>