	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */
	
	/**
	 * eBag compares server and client date and 
	 * generates warning if is not equal
	 */

	function datecheck()	{

		var equal		=	true;

		var server_date		=	new Array();
	
		var serverdate_str	=	document.getElementById("serverdate").value;

		if (serverdate_str)	{

			server_date		=	serverdate_str.split('-');
			
			var i;
			
			for (i=0; i<3; i++)	{
			
				server_date[i] = server_date[i]*(1);
			}

			var today		=	new Date();

			var client_day		=	today.getDate();

			var client_month	=	today.getMonth()+1;

			var client_year		=	today.getFullYear();

			if (client_year < 1000)	year = year+1900;

			if ((client_year != server_date[0]) || (client_month != server_date[1]) || (client_day != server_date[2])) equal = false;

		}	else	 {

			equal = false;
		}

		if (! equal)	{

			document.getElementById("warning").className = 'warning-show';
		}
	}
