	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag fire defined escape_function
	 */
	
	function get_char_code(e)	{
	  
		var code = false;

		if (! e)	{
		
			if (! window.event) return code;
			
			e = window.event;
		}
		
		if (typeof(e.keyCode) == 'number') 	{
		
			code = e.keyCode;
			
		}	else if (typeof(e.which) == 'number')	{
			
			code = e.which;
				
		}	else if (typeof(e.charCode) == 'number') {
			
			code = e.charCode;
				
		}
		
		return code;
	}
	
	document.onkeydown = function(e)	{

		if (! e)	{
		
			if (! window.event) return;
			
			e = window.event;
		}

		if (get_char_code(e) == 27)	{
		
			e.cancelBubble = true;
			e.returnValue = false;

			if (e.stopPropagation) {
				e.stopPropagation();
				e.preventDefault();
			}
		}
	}

	document.onkeypress = function(e)	{
	  
		if (! e)	{
		
			if (! window.event) return;
			
			e = window.event;
		}
	  
		if (get_char_code(e) == 27)	{
		
			e.preventDefault();
		}
	}
	
	document.onkeyup = function(e)	{
	  
		if (! e)	{
		
			if (! window.event) return;
			
			e = window.event;
		}
			
		if (get_char_code(e) == 27)	{
		
			escape__function();
			
			return false;
		}
	}
	