	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.7
	 */

	/**
	 * Exchange prices (valuta/currency) in services & articles details views 
	 */

	function prices_change()	{
	  
		var exchange_rate	= document.getElementById('exchange_rate').value * (1);
		
		var currency		= document.getElementById('currency').value;
		
		var inputs = new Array('price', 'price_with_tax', 'discount_price', 'discount_price_with_tax', 'purchase_price');
		
		var len	= document.forms[0].elements.length;
		
		var i, j, current;
		
		for (i=0; i<len; i++)	{

			if (document.forms[0].elements[i].type=='text')	{
			  
				for (j=0; j<5; j++)	{
				  
					if (document.forms[0].elements[i].name == inputs[j])	{
					  
						current = document.forms[0].elements[i].value;
						
						// if is changed step over (second mouse button is clicked)
					  
						if (isNaN(current)) continue;
					  
						document.forms[0].elements[i].value = ' = ' + (round2(current * exchange_rate)) + ' ' + currency;
					}
				}
			}
		}
	}
	
	function prices_reset()	{
	  
		document.forms[0].reset();
	}
	
	function round2(n) {
	
		return Math.round(n*100)/100;
	}