	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Create request object
	 */

	function createXmlHttpRequestObject()	{

		var xmlHttp, i;

		try	{

			xmlHttp = new XMLHttpRequest();

		}    catch(e)	{

			var XmlHttpVersions = new Array('MSXML2.XMLHTTP.6.0',
							'MSXML2.XMLHTTP.5.0',
							'MSXML2.XMLHTTP.4.0',
							'MSXML2.XMLHTTP.3.0',
							'MSXML2.XMLHTTP',
							'Microsoft.XMLHTTP');

			while (i < XmlHttpVersions.length)	{

				try	{

					xmlHttp = new ActiveXObject(XmlHttpVersions[i]);
				}
				catch (e) {}

				if (xmlHttp) break;

				i++;
			}
		}

		if (!xmlHttp)	{

			alert('Error creating the XMLHttpRequest object !');
			return FALSE;
		}

		return xmlHttp;
	}

