	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag create request to set seller to customer
	 */

	function set2seller(ID, BASE, UNSET)	{

		var xmlHttp = createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				var data = xmlHttp.responseText;

				if (data)	{
				  
					if (data.indexOf('error') != -1)	{
					  
						var ELEMENTS = data.split('::');

						alert(ELEMENTS[1]);
						
						return;
					}

					if (UNSET==1)	{

						document.forms[0]['seller_' + ID ].value = document.forms[0].no_set_str.value;

					}	else	  {
					
						document.forms[0]['seller_' + ID ].value = document.forms[0].employee.value;
					}
				}
	    		}
	  	}

		var employeeID = document.forms[0].employeeID.value;

		if (! employeeID) return;
	
		var LINK = '../requests/set2seller.php?base=' + BASE + '&id=' + ID + '&emp=' + employeeID + '&nc=' + (new Date().getTime()).toString();

		if (UNSET==1) LINK += '&unset=true';

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}

