<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag reads revers elementary data & employers and cooperators who can finish the revers
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class SERVICELISTFINISHERREAD	{

		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL	=	&$__SQL;
			
			$this->FORMAT	=	$__CONF->get('date', 'sql_format');
			
			$this->BASE	=	$_SESSION['BASE'];
		}

		public function read($ID)	{

			$DATA	=	FALSE;

			$ID	=	$this->SQL->escape($ID);

			$this->SQL->query("	SELECT	`contactname`, DATE_FORMAT(`date_of_creation`, '$this->FORMAT') AS `date_of_creation`,
							DATE_FORMAT(`date_of_finishing`, '$this->FORMAT') AS `date_of_finishing`, `finisher` 
						FROM $this->BASE.services_header
						WHERE personID='$ID' AND `deleted` IS NOT NULL LIMIT 1"	);

			if ($this->SQL->num_rows())	{

				$DATA	=	$this->SQL->RESULT->fetch_assoc();

				if ($DATA['finisher'])	{

					list($type, $finisherID) = explode('_', $DATA['finisher']);

					if ($type == 'employee')	{

						$COMMAND = "SELECT `employeename` FROM $this->BASE.employees WHERE `personID`='$finisherID' AND `deleted` IS NOT NULL LIMIT 1";

					}	else	  {

						$COMMAND = "SELECT `contactname` FROM $this->BASE.addressbook WHERE `personID`='$finisherID' AND `deleted` IS NOT NULL LIMIT 1";
					}

					$this->SQL->query($COMMAND);

					if ($this->SQL->num_rows())	{

						$RESULT			=	$this->SQL->RESULT->fetch_row();
						$DATA['finisher']	=	$RESULT[0];
					}
				}
			}
	
			return $DATA;
		}
	}

?>
