<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * Creates list of orders connected with code to new production order
	 */
	 
	if ((! isset($_GET['code'])) or (! isset($_GET['base']))) exit;

	# Turn off magic quotes runtime

	if (get_magic_quotes_runtime())	set_magic_quotes_runtime(false);

	# If magic quotes is enabled strip slashes from code

	if (get_magic_quotes_gpc())	{

		foreach ($_GET as $key=>$val) $_GET[$key] = stripslashes($val);
	}

	$code	=	$_GET['code'];
	$BASE	=	$_GET['base'];

	# read configuration

	include('../classes/INIload.class.php');

	$__CONF	= new INI_load('../conf/eBag.ini');
	
	# create connection

	$mysqli = new mysqli($__CONF->get('connection', 'host'), $__CONF->get('connection', 'user'), $__CONF->get('connection', 'password'));

	if ($mysqli->connect_error) exit;
	
	# header
	
	header('Expires: Sun, 10 Jan 2010 12:00:00 GMT');
	header('Last-Modified: '.@gmdate( 'D, d M Y H:i:s').' GMT');
	header('Cache-Control: no-cache, no-store, must-revalidate');
	header('Pragma: no-cache');
	header('Content-Type: text/plain');
	
	# read

	$mysqli->set_charset("utf8");

	$mysqli->query("SET NAMES 'utf8' COLLATE 'utf8_bin'");

	$code	=	$mysqli->real_escape_string(htmlspecialchars($code, $__CONF->get('specialchars', 'flag'), 'UTF-8', FALSE));

	$RESULT	=	$mysqli->query("	SELECT `personID` 
						FROM ebagstock.finished_goods_stock
						WHERE `code`='$code' AND `origin`='1' AND `deleted` IS NOT NULL LIMIT 1	");

	if (! $RESULT->num_rows) exit('notexists');

	$RESULT	=	$mysqli->query("	SELECT orders_data.orderID, orders_data.personID
						FROM $BASE.orders_data INNER JOIN ebagstock.finished_goods_stock
						ON orders_data.code=finished_goods_stock.code
						WHERE 	orders_data.code='$code' AND orders_data.deleted IS NOT NULL AND orders_data.date_of_delivery IS NULL
							AND finished_goods_stock.origin='1' AND orders_data.productionorderID IS NULL	");

	if (! $RESULT->num_rows) exit('notordered');

	while	($ROW = $RESULT->fetch_row())	{

		$orderID	=	$ROW[0];
		$personID	=	$ROW[1];

		$NORESULT	=	$mysqli->query("	SELECT `personID` 
								FROM $BASE.orders_data 
								WHERE `orderID`='$orderID' AND `deleted` IS NOT NULL ORDER BY `personID` ");
		$no	=	0;

		while ($NOROW = $NORESULT->fetch_row())	{
	
			$no++;

			if ($NOROW[0]==$personID)	{

				$rowNo	=	$no;

				break;
			}
		}
		
		if (! isset($TEXT)) {$TEXT = "$orderID-$personID-$rowNo";} else {$TEXT .= "!$orderID-$personID-$rowNo";}
	}

	echo $TEXT;
?>
