<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $BILLCHANGE; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td style="min-width: 100px">
													<?php echo $CONTACTNAME; ?>
												</td>
												<td class="formright">
													<input name="contactname" class="formbox" readonly value="<?php echo $DATA['contactname']; ?>">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $COUNTRY; ?>
												</td>
												<td class="formright">
													<input name="country" class="formbox" readonly value="<?php echo $DATA['country']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CITY; ?>
												</td>
												<td class="formright">
													<input name="city" class="formbox" readonly value="<?php echo $DATA['city']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ZIP; ?>
												</td>
												<td class="formright">
													<input name="zip" class="formbox" readonly value="<?php echo $DATA['zip']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $STREET; ?>
												</td>
												<td class="formright">
													<input name="street" class="formbox" readonly value="<?php echo $DATA['street']; ?>">
												</td>
											</tr>
											
											<tr>
												<td>
													<?php echo $DATE_OF_CREATION; ?>
												</td>
												<td class="formright">
													<input name="date_of_creation" class="formbox" readonly value="<?php echo $DATA['date_of_creation']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $PAYMENT_DEADLINE; ?>
												</td>
												<td class="formright">
													<input name="payment_deadline" class="formbox" readonly value="<?php echo $DATA['payment_deadline']; ?>">
												</td>
											</tr>

										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td>
													<?php echo $PAYMENT_FORM; ?>
												</td>
												<td class="formright">
													<input name="payment_form" class="formbox" readonly value="<?php echo $DATA['payment_form']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CONNECTED_WITH_DELIVERYS; ?>
												</td>
												<td class="formright">
													<input name="connected_with_deliverys" class="formbox" readonly value="<?php echo $DATA['connected_with_deliverys']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CONNECTED_WITH_REVERSES; ?>
												</td>
												<td class="formright">
													<input name="connected_with_reverses" class="formbox" readonly value="<?php echo $DATA['connected_with_reverses']; ?>">
												</td>
											</tr>
											
											<tr>
												<td>
													<?php echo $ANNOTATION; ?>
												</td>
												<td class="formright">
													<textarea name="annotation" style="width: 153px; height: 44px" rows="2" cols="30"><?php echo $DATA['annotation']; ?></textarea>
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea name="comment" style="width: 153px; height: 44px" rows="2" cols="30"><?php echo $DATA['comment']; ?></textarea>
												</td>
											</tr>

										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="300" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="spancolumns-code-extralong"><?php echo $COLUMNCODE; ?></span>
												<span class="spancolumns-name-extralong"><?php echo $COLUMNNAME; ?></span>
												<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
												<span class="spancolumns-unitprice-long"><?php echo $COLUMNPRICE; ?></span>
											</div>

											<?php 

												$ID	=	1;

												if ($DATA['reverses'])		{

													foreach ($DATA['reverses'] as $reversID => $reversDATA)	{

														echo	<<<"EOT"
														<div class="onerow-height">
															<input id="personID_$ID" name="reversIDs[]" type="checkbox" class="checkbox" value="$reversID">&nbsp;
															$REMOVE_SERVICE_LIST$reversID
														</div>
EOT;
														$COUNT	=	count($reversDATA);

														for ($i=0; $i<$COUNT; $i++)	{													

															$code = $name = $quantity = $unit = $price = '';

															if (isset($reversDATA[$i]['code']))	$code = $reversDATA[$i]['code'];
															if (isset($reversDATA[$i]['name']))	$name = $reversDATA[$i]['name'];
															if (isset($reversDATA[$i]['quantity'])) $quantity = $reversDATA[$i]['quantity'];
															if (isset($reversDATA[$i]['unit']))	$unit = $reversDATA[$i]['unit'];
															if (isset($reversDATA[$i]['price']))	$price = $reversDATA[$i]['price'];

															echo	<<<"EOT"
															<div class="onerow">
																<input name="code[]" readonly class="code-extralong" value="$code">
																<input name="name[]" readonly class="name-extralong" value="$name">
																<input name="quantity[]" readonly class="quantity-long" value="$quantity">
																<input name="unit[]" readonly class="unit-long" value="$unit">
																<input name="price[]" readonly class="unitprice-long" value="$price">
															</div>
EOT;
														}

														$ID++;
													}
												}
												
												if ($DATA['deliverys'])		{

													foreach ($DATA['deliverys'] as $deliveryID => $deliveryDATA)	{

														echo	<<<"EOT"
														<div class="onerow-height">
															<input id="personID_$ID" name="deliveryIDs[]" type="checkbox" class="checkbox" value="$deliveryID">&nbsp;
															$REMOVE_DELIVERY$deliveryID
														</div>
EOT;
														$COUNT	=	count($deliveryDATA);

														for ($i=0; $i<$COUNT; $i++)	{

															$code = $name = $quantity = $unit = $price = '';

															if (isset($deliveryDATA[$i]['code']))	$code = $deliveryDATA[$i]['code'];
															if (isset($deliveryDATA[$i]['name']))	$name = $deliveryDATA[$i]['name'];
															if (isset($deliveryDATA[$i]['quantity'])) $quantity = $deliveryDATA[$i]['quantity'];
															if (isset($deliveryDATA[$i]['unit']))	$unit = $deliveryDATA[$i]['unit'];
															if (isset($deliveryDATA[$i]['price']))	$price = $deliveryDATA[$i]['price'];

															echo	<<<"EOT"
															<div class="onerow">
																<input name="code[]" readonly class="code-extralong" value="$code">
																<input name="name[]" readonly class="name-extralong" value="$name">
																<input name="quantity[]" readonly class="quantity-long" value="$quantity">
																<input name="unit[]" readonly class="unit-long" value="$unit">
																<input name="price[]" readonly class="unitprice-long" value="$price">
															</div>
EOT;
														}

														$ID++;
													}

												}

											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">

										<!-- hidden field needs to submit a form properly & send back billID -->
										<input name="billID" type="hidden" value="<?php echo $BILLID; ?>">
										<input name="submitted" type="hidden" value="1">

										<!-- buttons -->

										<input class="button-small" value="<?php echo $WRITE; ?>" type="button" name="formsubmit" onclick="Javascript: document.forms[0].submit();">
										<input class="button-small" value="<?php echo $RESET; ?>" type="reset" name="reset">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>
						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.personID_1.focus();</script>

	</body>

</html>


