<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_name.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/jquery.js?ver=<?php echo VERSION_NUMBER; ?>"></script>

		<script type="text/javascript">

			function removerow(field)	{

				$(field.parentNode).remove();
			}

			function cannotremove()	{

				alert('<?php echo $CANNOTREMOVE; ?>');
			}

		</script>

	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table id="formtable" class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $ORDER2STOCKLABEL; ?> 
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td>
													<?php echo $CONTACTNAME; ?>
												</td>
												<td class="formright">
													<input name="contactname" class="formbox" readonly value="<?php echo $_POST['contactname']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $COUNTRY; ?>
												</td>
												<td class="formright">
													<input name="country" class="formbox" readonly value="<?php echo $_POST['country']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CITY; ?>
												</td>
												<td class="formright">
													<input name="city" class="formbox" readonly value="<?php echo $_POST['city']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ZIP; ?>
												</td>
												<td class="formright">
													<input name="zip" class="formbox" readonly value="<?php echo $_POST['zip']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $STREET; ?>
												</td>
												<td class="formright">
													<input name="street" class="formbox" readonly value="<?php echo $_POST['street']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td style="min-width: 90px;">
													<?php echo $DATE_OF_ORDER; ?>
												</td>
												<td class="formright">
													<input name="date_of_order" class="formbox" readonly value="<?php echo $_POST['date_of_order']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CONNECTED_WITH_ORDERS; ?>
												</td>
												<td class="formright">
													<input name="connected_with_orders" class="formbox" readonly value="<?php echo $_POST['connected_with_orders']; ?>" onkeypress="return nextfield(this, event, 'submit')">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea id="comment" name="comment" style="width: 153px; height: 72px" rows="2" cols="30"><?php echo $_POST['comment']; ?></textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="300" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span id="columncode" class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
												<span id="columnname" class="spancolumns-name-extralong"><?php echo $COLUMNNAME; ?></span>
												<span id="columnquantity" class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span id="columnunit" class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
											</div>

											<?php 
												$COUNT		=	1;

												if (isset($_POST['code'])) $COUNT = count($_POST['code']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$personID = $code = $name = $quantity = $unit = '';
														$ID	= $i+1;

														if (isset($_POST['personID'][$i])) $personID=$_POST['personID'][$i];
														if (isset($_POST['code'][$i])) 	$code=$_POST['code'][$i];
														if (isset($_POST['name'][$i])) 	$name=$_POST['name'][$i];
														if (isset($_POST['quantity'][$i])) $quantity=$_POST['quantity'][$i];
														if (isset($_POST['unit'][$i])) $unit=$_POST['unit'][$i];
														if (isset($_POST['locked'][$i]) && ($_POST['locked'][$i])) {$ROWLOCK = TRUE;} else {$ROWLOCK = FALSE;}

														if (! $ROWLOCK) {$REMOVEROW = 'onclick="removerow(this)"'; $READONLY='';} else {$REMOVEROW = 'onclick="cannotremove()"'; $READONLY='readonly';}

														echo	<<<"EOT"
														<div id="rowid_$ID" class="onerow">
															<input id="code_$ID" name="code[]" readonly class="code-long" value="$code" onkeypress="return nextfield(this, event, 'submit')">
															<input id="name_$ID" name="name[]" readonly class="name-extralong" value="$name" onkeypress="return nextfield(this, event, 'submit')">
															<input id="quantity_$ID" name="quantity[]" $READONLY class="quantity-long" value="$quantity" onkeypress="return nextfield(this, event, 'submit')">
															<input id="unit_$ID" name="unit[]" readonly class="unit-long" value="$unit" onkeypress="return nextfield(this, event, 'submit')">
															<input id="personID_$ID" name="personID[]" type="hidden" value="$personID">

															<input class="addremove-button" value="-" type="button" $REMOVEROW>
														</div>
EOT;
													}

											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">
										<input name="IDs" type="hidden" value="<?php echo $_POST['IDs']; ?>">
										<input name="order2stock_year" type="hidden" value="<?php echo $_POST['order2stock_year']; ?>">

										<!-- buttons -->

										<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" name="submit">
										<input class="button-small" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF; ?><?php if (isset($ORDER2STOCKID)) echo '&amp;id='.$ORDER2STOCKID; ?>'">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.quantity_1.focus();</script>

	</body>

</html>


