<?php

	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/*
	 *	Reads license from readme/license.txt
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	$lang = $__CONF->get('language', 'lang');

	if (is_readable("../lang/$lang/license.html"))	{

		header ('Content-type: text/html');

		readfile("../lang/$lang/license.html");

	}	elseif (is_readable('../lang/eng/license.html'))	{

		header ('Content-type: text/html');

		readfile('../lang/eng/license.html');
		
	}	else  {
	
		echo '<font size="2">License text not found. Please follow the link: <a rel="license" target="_self" href="http://www.gnu.org/licenses/agpl-3.0.html">GNU Affero General Public License Version 3</a></font>.';
	}

	

?>
