<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag mobile contact search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('addressbook', 'r');
	
	if ((! isset($_POST['searched'])) or is_empty($_POST['searched'])) $_POST['searched'] = FALSE;
	
	if ($_POST['searched'] or isset($_GET['contactID']))	{
	
		load_c('SQL');

		$__SQL = new SQL();

		load_m('mobilecontactread');
		  
		$__CONTACT = new MOBILECONTACTREAD();
	}
		  
	if (isset($_GET['contactID']))	{
	
		$contactID	=	$_GET['contactID'];
		  
		$CONTACTDATA	=	$__CONTACT->readbyid($_GET['contactID']);
		
	}	elseif ($_POST['searched'])  {
	
		$CONTACTDATA	=	$__CONTACT->readbyname($_POST['searched']);
		
		$contactID	=	$__CONTACT->contactID;
		
		# list with regexp matches with id
		
		if (! $CONTACTDATA)	{
		  
			$CONTACTLIST = $__CONTACT->searchbyname($_POST['searched']);
			  
			if ($CONTACTLIST)	{
			
				  unset($__SQL, $__CONTACT);
				  
				  $view	= new View('mobilesearchresult');
				  $view	-> assign('SELF', backward());
				  $view	-> assign('SEARCHRESULTS', $__LANG->get('searchresult'));
				  $view	-> assign('CONTACTLIST', $CONTACTLIST); unset($CONTACTLIST);
				  $view	-> display();
				  
				  exit;
			}
			
			$NOTFOUND = TRUE;
		}
	}
	
	unset($__SQL, $__CONTACT);
	
	if (isset($CONTACTDATA) && $CONTACTDATA)	{
	
		$view	=	new View('mobileitemdetails');
		$view	->	assign('SELF', backward());
		$view	->	assign('LABEL', $__LANG->get('contactdetails', $contactID));
		$view	->	assign('DATA', $CONTACTDATA); unset($CONTACTDATA);
		$view	->	display();

		exit;
	}
	
	$view	=	new View('mobilecontactsearch');
	$view	->	assign('SELF', backward());
	$view	->	assign('SEARCHLABEL', $__LANG->get('contactsearch'));
	$view	->	assign('NAME', $__LANG->get('contactname'));
	$view	->	assign('SEARCH', $__LANG->get('search'));
	
	if (isset($NOTFOUND)) $view -> assign('NOTFOUND', $__LANG->get('notfound'));
	
	$view	->	display();
?>