<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag list reminder data for mobile devices
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	# no need to check permission

	load_c('SQL');

	$__SQL	= new SQL();
	
	/**
	 * Check the reminder
	 */

	load_m('reminderreadall');

	$__REMINDER	=	new REMINDER();

	$REMTABLE	=	$__REMINDER->read_all(date("Y-m-d", strtotime($__CONF->get('reminder', 'dayscheck').' days')), false);

	unset($__REMINDER, $__SQL);
	
	if (! $REMTABLE)	{
	
		$view	=	new View('mobilemessage');
		$view	->	assign('MESSAGE', $__LANG->get('noremind'));
		$view	->	display();
		
		exit;
	}
	
	$view	=	new View('mobilereminder');
	$view	->	assign('REMINDER', $__LANG->get('remindname'));
	$view	->	assign('DATE', $__LANG->get('date'));
	$view	->	assign('REMTABLE', $REMTABLE); unset($REMTABLE);
	
	$view	->	display();

?>