<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag order 2 stock close & open
	 * note: only current year can be selected
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (isset($_POST['selected']))	{

		if ((! is_empty($_POST['id'])) && ((integer)$_POST['id'] > 0))	{

			$ID	=	(integer)$_POST['id'];

			load_c('SQL');

			$__SQL	= new SQL();

			load_m('order2stockclose');

			$__ORDER2STOCK	=	new ORDER2STOCKCLOSE();

			$RESULT		=	$__ORDER2STOCK->close($ID);
			
			unset($__ORDER2STOCK, $__SQL);

			if (($RESULT!='opened') && ($RESULT!='closed'))		{

				$view	=	new View('errorbox');
				$view	->	assign('SELF', backward());
				$view	->	assign('ERROR', $__LANG->get('error'));
				$view	->	assign('ERRTXT', $__LANG->get($RESULT));
				$view	->	assign('BACK', $__LANG->get('back'));
				$view	->	display();

				exit;
			}

			header("location: loader.php?cat=order2stockwrited&id=$ID&state=$RESULT");

			exit;
		}
	}

	$_SESSION['FROM'] = backward();

	$view	=	new View('listselector');

	$view 	->	assign('SELF', backward());
	$view 	->	assign('SELECTLABEL', $__LANG->get('order2stockselect'));
	$view 	->	assign('SELECTEDID', $__LANG->get('order2stockbynumber'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=orders_to_stock');
	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
