<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag order to stock delete
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('orders_to_stock');

	pagepermission('orders', 'w');

	# verifyed delete it

	if (isset($_POST['YES']))	{
	
		load_c('SQL');

		$__SQL	= new SQL();

		load_m('order2stockdelete');

		$__ORDER2STOCK	=	new ORDER2STOCKDELETE();

		$RESULT		= 	$__ORDER2STOCK->delete($_POST['id'], $_POST);
		
		unset($__ORDER2STOCK, $__SQL);

		if ($RESULT===TRUE)	{

			# deleted

			$view	=	new View('sucessbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('MESSAGE', $__LANG->get('order2stockdeleted', $_POST['id']));
			$view	->	assign('OK', $__LANG->get('ok'));
			$view	->	assign('BACKTO', $_SESSION['FROM']);
			$view	->	display();
			exit;
		}

		# not allowed to delete

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get($RESULT));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	# verify

	$view	=	new View('verifywithreason');
	$view	->	assign('SELF', backward());
	$view	->	assign('QUESTION', $__LANG->get('suretodelorder2stock', $_GET['id']));
	$view	->	assign('DELETE_REASON', $__LANG->get('deletereason').' :');
	$view	->	assign('YES', $__LANG->get('yes'));
	$view	->	assign('NO', $__LANG->get('no'));
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	display();

?>
