<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag operating suplie request details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('operating_suplies', 'r');

	load_c('SQL');

	$__SQL	= new SQL;

	load_m('suplierequestdetails');

	$__REQUEST	=	new SUPLIEREQUESTDETAILS();

	# if year is set change base to read

	if (isset($_GET['year'])) $__REQUEST -> base('ebagdata'.$_GET['year']);

	$REQUESTDATA = $__REQUEST->read($_GET['id']);

	unset($__REQUEST, $__SQL);

	if (! $REQUESTDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentsuplierequest'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('suplierequestdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('REQUEST_DETAILS', $__LANG->get('suplierequestdetails', $_GET['id'].'/'.$REQUESTDATA['request_year']));
	$view	->	assign('REQUESTID', $_GET['id']);
	$view	->	assign('TO_EMPLOYEE', $__LANG->get('creator'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	# form data

	$view	->	assign('DATA', $REQUESTDATA); unset($REQUESTDATA);

	$view	->	display();
?>

