<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 *	Function to list avialable languages at install
	 */

	 function getlanguages()	{
	 
		# note: base directory must to be defined

		$languages = array();
		
		$directory = BASEDIR.'lang';
		
		if ($dh =opendir($directory))	{
			      
			while (($file = readdir($dh)) != FALSE )	{

				if (($file==".") or ($file=="..") or (! is_dir("$directory/$file"))) continue;
				
				if (! in_array($file, $languages)) $languages[] = $file;
			}
			
			closedir($dh);
		}
		
		sort($languages);
		
		if (! count($languages)) exit('Fatal error: no languages files found!');
		
		return $languages;
	 }

      
?>