<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * creates writable directory if is possible
	 */

	function mk_dir($dir=FALSE, $perms='16895')	{

		if (! $dir) return;

		if (! is_dir($dir)) @mkdir($dir);

		if (! is_dir($dir)) return FALSE;

		@chmod ($dir, $perms);

		if (! is_writable($dir)) return FALSE;

		return TRUE;
	}
?>
