<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * Function quoted_printable_encode only if not exists
	 */
	
	function quoted_printable_encode($str=FALSE)	{

		if (($str === FALSE) or ($str === '')) return '';

		$charsLength = mb_strlen($str);
		
		$chars = array();
		
		for ($i=0; $i<$charsLength; $i++) $chars[] =  mb_substr($str, $i, 1);
		
		unset($str);

		$enc = '';

		$lineLength = 0;

		$eol = "\r\n";

		for ($i=0; $i<$charsLength; $i++)	{

			$char = $chars[$i];

			$ascii = ord($char);

			if ( ($ascii != 61) && ($ascii > 32 ) && ($ascii < 127) ) {

				$encoded = $char;

				$inc = 1;

			}	else	{

				if ((($ascii == 9) or ($ascii == 32)) && ($lineLength < 76))	{
		
					$encoded = $char;

					$inc = 1;

				}	else	  {

					$encoded = '='.strtoupper(dechex($ascii));

					$inc = 3;
				}
			}

			if (($lineLength + $inc) > 75)	{

				$enc .= "=$eol".$encoded;

				$lineLength = $inc;

			}	else	{

				$enc .= $encoded;

				$lineLength += $inc;
			}
		}

		return $enc;
	}
?>

