	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Request to set discount to service or article
	 */

	function set_discount(type, ID, BASE)	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				var data = xmlHttp.responseText;
				
				if (data)	{

					if (data.indexOf('error') == -1)	{
					
						document.discounts[type + '_discount_show_' + ID ].value = data;

					}	else	   {

						var ELEMENTS = data.split('::');

						alert(ELEMENTS[1]);
					}
				}
	    		}
	  	}
	
		var DISCOUNT = document.discounts[type + '_discount_' + ID].value;
			
		if (! DISCOUNT)	return;

		var LINK = '../requests/setdiscount.php?type=' + type + '&base=' + BASE + '&value=' + DISCOUNT + '&id=' + ID + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}



