	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Unchecks other permission checkboxes if one was selected
	 */

	function uncheck(field)	{
	  
		if (field.checked == false)	{
		  
			field.checked = true;
			
			return;
		}
	  
		var field_name;
	  
		var suffix = [ '_noaccess', '_read', '_write' ];
		
		var parts = field.name.split('_');
		
		parts.splice(-1,1);
		
		var ptype = parts.join('_');
		
		parts = [];

		for (i=0; i<3; i++)	{
		  
			field_name = ptype + suffix[i];
		  
			if (field.name == field_name) continue;

			if (document.userpermissions[field_name] != null)	{

				document.userpermissions[field_name].checked = false;
			}
		}
	}

