<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag reads company current mail address
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class COMPANYMAIL	{

		function __construct()	{

			global $__SQL;
	
			$this->SQL	  =	&$__SQL;
		}

		public function read()	{

			$DATA = FALSE;

			$this->SQL->query("	SELECT `companyname`, `mail`
						FROM ebag.companydata
						WHERE `personID`=(	SELECT MAX(personID) 
									FROM ebag.companydata 
									WHERE `deleted` IS NOT NULL ) LIMIT 1	");

			if ($this->SQL->num_rows())	{
			
				$DATA = $this->SQL->RESULT->fetch_assoc();
				
				# decode name, it will be encoded with quoted_printable
				
				$DATA['companyname'] = htmlspecialchars_decode($DATA['companyname'], ENT_COMPAT);
			}

			return $DATA;
		}
	}
?>
