<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag payment read for details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class PAYMENTDETAILS	{
	
		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL	=	&$__SQL;

			$this->BASE	=	$_SESSION['BASE'];

			$this->FORMAT	=	$__CONF->get('date', 'sql_format');

		}

		public function read($ID)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `contactname`, `city`, `paymentID`, 
						DATE_FORMAT(`date`, '$this->FORMAT') AS `date`,
						`sum`, `bank`, `account`, `comment`
						FROM $this->BASE.customers_payments
						WHERE `personID`='$ID'	LIMIT 1");

			if ($this->SQL->num_rows())	$DATA = $this->SQL->RESULT->fetch_assoc();

			return $DATA;
		}
	}

?>
